Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.base.events
Interface CacheEntryEventListener

All Superinterfaces:
  CacheEventListener, java.util.EventListener

All Known Implementing Classes:
  CacheEntryEventListenerImpl

public interface CacheEntryEventListener
extends CacheEventListener

This is the interface to listen to cache entry events. There is a method for each event type. These methods are called via a dispatcher. If you want to be notified when an event occurs on an entry, group or across a pattern, register a listener and implement this interface.

Version:
  $Revision: 1.1 $
Author:
  Francois Beauregard

Method Summary
`void` | `cacheEntryAdded(CacheEntryEvent event)` Event fired when an entry is added to the cache.
`void` | `cacheEntryFlushed(CacheEntryEvent event)` Event fired when an entry is flushed from the cache.
`void` | `cacheEntryRemoved(CacheEntryEvent event)` Event fired when an entry is removed from the cache.
`void` | `cacheEntryUpdated(CacheEntryEvent event)` Event fired when an entry is updated in the cache.
`void` | `cacheFlushed(CachewideEvent event)` An event that is fired when an entire cache gets flushed.
`void` | `cacheGroupFlushed(CacheGroupEvent event)` Event fired when a group is flushed from the cache.
`void` | `cachePatternFlushed(CachePatternEvent event)` Event fired when a key pattern is flushed from the cache.

Method Detail

### cacheEntryAdded

    public void cacheEntryAdded(CacheEntryEvent event)

  Event fired when an entry is added to the cache.

### cacheEntryFlushed

    public void cacheEntryFlushed(CacheEntryEvent event)

  Event fired when an entry is flushed from the cache.

### cacheEntryRemoved

    public void cacheEntryRemoved(CacheEntryEvent event)

  Event fired when an entry is removed from the cache.

### cacheEntryUpdated

    public void cacheEntryUpdated(CacheEntryEvent event)

  Event fired when an entry is updated in the cache.

### cacheGroupFlushed

    public void cacheGroupFlushed(CacheGroupEvent event)

  Event fired when a group is flushed from the cache.

### cachePatternFlushed

    public void cachePatternFlushed(CachePatternEvent event)

  Event fired when a key pattern is flushed from the cache. Note that this event will not be fired if the pattern is `null` or an empty string, instead the flush request will silently be ignored.

### cacheFlushed

    public void cacheFlushed(CachewideEvent event)

  An event that is fired when an entire cache gets flushed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD